#
# spec file for package perl-Net-CIDR-Lite
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Net-CIDR-Lite
Name:           perl-Net-CIDR-Lite
Version:        0.22
Release:        1.15
Summary:        Perl extension for merging IPv4 or IPv6 CIDR addresses
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/ST/STIGTSP/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Faster alternative to Net::CIDR when merging a large number of CIDR address
ranges. Works for IPv4 and IPv6 addresses.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Mon Apr  5 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.22
  see /usr/share/doc/packages/perl-Net-CIDR-Lite/Changes
  0.22  2021-04-04
  - Security: IPv4 octets with leading zeroes are no longer allowed.
    https://blog.urth.org/2021/03/29/security-issues-in-perl-ip-address-distros/
* Wed Mar 27 2013 stefan.jakobs@rus.uni-stuttgart.de
- remove 'BuildRequires: perl-macros' from spec file, because perl
  included in openSUSE > 1210 deprecates perl-macros which causes a
  build failure.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Apr  7 2010 chris@computersalat.de
- update to 0.21
  - Fix RT Tickets:
  - 14535: Fix spanner clean() docs (reported by carbon at pobox.com).
  - 25898: Undef dereference with empty object (patch by Adam Tomason).
  - 30777: Add short_list_range() method (patch by Josef Kutej).
  - 48308: clean() or list() before add() causes error (reported by David Cawley).
  - 50042: spanner add() did not accept non-object (patch by Tomo.M).
  - 52571: "::" not accepted as valid IPv6 address (reported by Tim Wilde).
- 0.20  Sun Feb 12 01:00:00 2006
  - Fix error message on mask values.
- 0.19  Sat Jan 30 01:00:00 2006
  - Allow net mask of zero.
- cleanup spec
  o fixed HEADER, TAGS, deps, macros
- added perl-macros
- removed .packlist, .pod
  > noarch
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 16 2005 dmueller@suse.de
- Initial package (0.18)
